/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.vsan.tools.console;

import java.io.OutputStream;
import java.io.PrintWriter;

import org.logical_paradox.shell.impl.StandardShell;

/**
 * EMCのシェルプログラム
 * シェルプログラムの初期化処理を実装します．
 * コマンドラインの解析に，Jakarta-commons-cliを使用します．
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class DacShell extends StandardShell {
	/**
	 * コンストラクタ
	 * @throws Exception 処理されなかった例外
	 */
	public DacShell() throws Exception {
		super();
	}

	/**
	 * 画面初期化時に実行されるメソッド
	 * @param ostream 出力ストリーム
	 */
	public void onInitDisplay(OutputStream ostream) {
		outputWelcomeMessage(ostream);
	}
	/**
	 * ウェルカムメッセージを出力する
	 */
	protected void outputWelcomeMessage(OutputStream ostream) {
		PrintWriter pw = new PrintWriter(ostream);
		pw.println(DacConsoleConstant.DACC_WELCOME_MSG);
		pw.flush();
		pw.close();
	}
}
